package com.logicbig.example;

import org.hamcrest.CoreMatchers;
import org.junit.Assume;
import org.junit.Test;

import java.time.ZoneId;

public class MyTest {


    @Test
    public void testMethod1() {
        Assume.assumeTrue("applicable time zone assumption",
                ZoneId.systemDefault().getId().equals("America/New_York"));
        System.out.println("assumption passed");
        System.out.println("test continues");
    }

    @Test
    public void testMethod2() {
        Assume.assumeTrue("not applicable time zone assumption",
                !ZoneId.systemDefault().getId().equals("America/New_York"));
        System.out.println("assumption passed");
        System.out.println("test continues");
    }

    @Test
    public void testMethod3() {
        System.out.println("test starts");
        try {
            int i = 1 / 0;
            System.out.println(i);
        } catch (ArithmeticException e) {
            Assume.assumeNoException("No ArithmeticException assumption", e);
        }

        System.out.println("test continues");
    }

    @Test
    public void testMethod4() {
        System.out.println("test starts");
        try {
            int i = 1 / 2;
            System.out.println("i: " + i);
        } catch (ArithmeticException e) {
            Assume.assumeNoException("No ArithmeticException assumption", e);
        }

        System.out.println("test continues");
    }

    @Test
    public void testMethod5() {
        System.out.println("test starts");
        int x = 1;
        Assume.assumeThat("x being 10 assumption", x, CoreMatchers.is(10));
        System.out.println("test continues");
    }

    @Test
    public void testMethod6() {
        System.out.println("test starts");
        int x = 10;
        Assume.assumeThat("x being 10 assumption", x, CoreMatchers.is(10));
        System.out.println("test continues");
    }

    @Test
    public void testMethod7() {
        System.out.println("test starts");
        String s = "s value";
        String t = null;
        Assume.assumeNotNull(s, t);
        System.out.println("test continues");
    }

    @Test
    public void testMethod8() {
        System.out.println("test starts");
        String s = "s value";
        String t = "t value";
        Assume.assumeNotNull(s, t);
        System.out.println("test continues");
    }
}